The Tax Withholding Category object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: false
Default: false
Default: Net Total
Default: false
Default: false
{
"id": "tax-withholding-category_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"category_name": "category_name_example",
"tax_on_excess_amount": false,
"round_off_tax_amount": false,
"tax_deduction_basis": "Net Total",
"disable_cumulative_threshold": false,
"disable_transaction_threshold": false
} /api/accounts/tax-withholding-category/{id} Retrieve a tax withholding category
Retrieves the details of an existing tax withholding category. Supply the unique tax withholding category ID that was returned from a previous request.
Path parameters
The identifier of the tax withholding category to retrieve.
Returns
Returns the tax withholding category object if a valid identifier was provided.
curl https://api.overplane.dev/api/accounts/tax-withholding-category/tax-withholding-category_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "tax-withholding-category_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"category_name": "category_name_example",
"tax_on_excess_amount": false,
"round_off_tax_amount": false,
"tax_deduction_basis": "Net Total",
"disable_cumulative_threshold": false,
"disable_transaction_threshold": false
} /api/accounts/tax-withholding-category List all tax withholding categorys
Returns a list of tax withholding categorys. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of tax withholding category objects.
curl https://api.overplane.dev/api/accounts/tax-withholding-category \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "tax-withholding-category_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"category_name": "category_name_example",
"tax_on_excess_amount": false,
"round_off_tax_amount": false,
"tax_deduction_basis": "Net Total",
"disable_cumulative_threshold": false,
"disable_transaction_threshold": false
}
],
"has_more": false,
"total": 1
} /api/accounts/tax-withholding-category Create a tax withholding category
Creates a new tax withholding category object.
Body parameters
Default: false
Default: false
Default: Net Total
Default: false
Default: false
Returns
Returns the newly created tax withholding category object if the call succeeded.
curl https://api.overplane.dev/api/accounts/tax-withholding-category \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" {
"id": "tax-withholding-category_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"category_name": "category_name_example",
"tax_on_excess_amount": false,
"round_off_tax_amount": false,
"tax_deduction_basis": "Net Total",
"disable_cumulative_threshold": false,
"disable_transaction_threshold": false
} /api/accounts/tax-withholding-category/{id} Update a tax withholding category
Updates the specified tax withholding category by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the tax withholding category to update.
Body parameters
Default: false
Default: false
Default: Net Total
Default: false
Default: false
Returns
Returns the updated tax withholding category object.
curl https://api.overplane.dev/api/accounts/tax-withholding-category/tax-withholding-category_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"category_name":"category_name_example","tax_on_excess_amount":false}' {
"id": "tax-withholding-category_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"category_name": "category_name_example",
"tax_on_excess_amount": false,
"round_off_tax_amount": false,
"tax_deduction_basis": "Net Total",
"disable_cumulative_threshold": false,
"disable_transaction_threshold": false
} /api/accounts/tax-withholding-category/{id} Delete a tax withholding category
Permanently deletes a tax withholding category. This cannot be undone.
Path parameters
The identifier of the tax withholding category to delete.
Returns
Returns a confirmation that the tax withholding category has been deleted.
curl https://api.overplane.dev/api/accounts/tax-withholding-category/tax-withholding-category_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "tax-withholding-category_abc123",
"deleted": true
} Line items
Child objects that belong to this tax withholding category. These are accessed via the parent's ID.
Tax Withholding Account
Attributes
Endpoints
/api/accounts/tax-withholding-account?parent_id={id} /api/accounts/tax-withholding-account /api/accounts/tax-withholding-account/{id} /api/accounts/tax-withholding-account/{id} /api/accounts/tax-withholding-account/reorder {
"id": "tax-withholding-account_abc123",
"idx": 1,
"tax_withholding_category_id": "tax_withholding_category_id_example",
"company": "Example Corp",
"account": "account_example"
} Tax Withholding Rate
Attributes
Endpoints
/api/accounts/tax-withholding-rate?parent_id={id} /api/accounts/tax-withholding-rate /api/accounts/tax-withholding-rate/{id} /api/accounts/tax-withholding-rate/{id} /api/accounts/tax-withholding-rate/reorder {
"id": "tax-withholding-rate_abc123",
"idx": 1,
"tax_withholding_category_id": "tax_withholding_category_id_example",
"tax_withholding_rate": 0,
"single_threshold": 0,
"cumulative_threshold": 0,
"from_date": "2024-01-15",
"to_date": "2024-01-15",
"tax_withholding_group": "tax_withholding_group_example"
}